JackTrip: RingBufferWavetable Class Reference

JackTrip

Public Member Functions | Protected Member Functions | List of all members
RingBufferWavetable Class Reference

Same as RingBuffer, except that it uses the Wavetable mode for lost or late packets. More...

`#include <RingBufferWavetable.h>`

Inheritance diagram for RingBufferWavetable:
[legend]
Collaboration diagram for RingBufferWavetable:
[legend]

## Public Member Functions
| RingBufferWavetable (int SlotSize, int NumSlots)
| The class constructor. More...
virtual | ~RingBufferWavetable ()
| The class destructor. More...
Public Member Functions inherited from RingBuffer
| RingBuffer (int SlotSize, int NumSlots)
| The class constructor. More...
virtual | ~RingBuffer ()
| The class destructor. More...
void | insertSlotBlocking (const int8_t *ptrToSlot)
| Insert a slot into the RingBuffer from ptrToSlot. This method will block until there's space in the buffer. More...
void | readSlotBlocking (int8_t *ptrToReadSlot)
| Read a slot from the RingBuffer into ptrToReadSlot. This method will block until there's space in the buffer. More...
void | insertSlotNonBlocking (const int8_t *ptrToSlot)
| Same as insertSlotBlocking but non-blocking (asynchronous) More...
void | readSlotNonBlocking (int8_t *ptrToReadSlot)
| Same as readSlotBlocking but non-blocking (asynchronous) More...

## Protected Member Functions
virtual void | setUnderrunReadSlot (int8_t *ptrToReadSlot)
| Sets the memory in the Read Slot when uderrun occurs. This loops as a wavetable in the last received packet. More...
Protected Member Functions inherited from RingBuffer
virtual void | setMemoryInReadSlotWithLastReadSlot (int8_t *ptrToReadSlot)
| Uses the last read slot to set the memory in the Read Slot. More...

## Detailed Description

Same as RingBuffer, except that it uses the Wavetable mode for lost or late packets.

## Constructor & Destructor Documentation

## ◆ RingBufferWavetable()

RingBufferWavetable::RingBufferWavetable | ( | int | SlotSize,
|  | int | NumSlots
| ) |  |
| inline

The class constructor.

Parameters

  SlotSize | Size of one slot in bytes
  NumSlots | Number of slots

## ◆ ~RingBufferWavetable()

virtual RingBufferWavetable::~RingBufferWavetable | ( |  | ) |
| inlinevirtual

The class destructor.

## Member Function Documentation

## ◆ setUnderrunReadSlot()

virtual void RingBufferWavetable::setUnderrunReadSlot | ( | int8_t * | ptrToReadSlot | ) |
| inlineprotectedvirtual

Sets the memory in the Read Slot when uderrun occurs. This loops as a wavetable in the last received packet.

Parameters

  ptrToReadSlot | Pointer to read slot from the RingBuffer

Reimplemented from RingBuffer.

The documentation for this class was generated from the following file:

- src/RingBufferWavetable.h